%define tarname wxPythonSrc

Name: wxPythonGTK
Version: 2.4.2.4
Release: alt1

Summary: Cross platform GUI toolkit for Python using wxGTK
License: wxWindows Library Licence
Group: Development/Python
Url: http://www.wxpython.org/
Packager: Andrey Astafiev <andrei@altlinux.ru>

Source: http://belnet.dl.sourceforge.net/sourceforge/wxpython/%tarname-%version.tar.bz2

Provides: wxPython = %version
Obsoletes: wxPython
Obsoletes: wxPythonGTK-devel

Requires: python = %__python_version
BuildPreReq: python-devel = %__python_version
BuildPreReq: wxGTK-devel >= 2.4.2

# Automatically added by buildreq on Wed Sep 24 2003
BuildRequires: XFree86-devel gcc-c++ glib-devel gtk+-devel libstdc++-devel

%description
wxPython is a GUI toolkit for Python that is a wrapper around the
wxWindows C++ GUI library. wxPython provides a large variety of
window types and controls, all implemented with a native look and feel
(and native runtime speed) on the platforms it is supported on.

This package is using the wxGTK port of wxWindows.

%prep
%setup -q -n %tarname-%version

%build
%define params IN_CVS_TREE=1 NO_SCRIPTS=1 WXPORT=gtk BUILD_GLCANVAS=0
cd wxPython
%__python setup.py %params build

%install
cd wxPython
%__python setup.py %params install --root=%buildroot

%__mkdir -p %buildroot%_bindir
%__cp scripts/{img2png,img2py,img2xpm,pycrust,pyshell,xrced} %buildroot%_bindir

%files
%_bindir/*
%_libdir/python2.2/site-packages/*
%doc docs/{changes,licence,preamble,readme}.txt wxPython/{README.txt,CHANGES.txt}

%changelog
* Wed Oct 22 2003 Andrey Astafiev <andrei@altlinux.ru> 2.4.2.4-alt1
- 2.4.2.4

* Sun Sep 28 2003 Andrey Astafiev <andrei@altlinux.ru> 2.4.1.2-alt1
- 2.4.1.2
- Some minor changes in spec.

* Fri Jun 20 2003 Andrey Astafiev <andrei@altlinux.ru> 2.4.0.7-alt1
- 2.4.0.7

* Fri Mar 07 2003 Andrey Astafiev <andrei@altlinux.ru> 2.4.0.1-alt2
- fix: buildprereq wxGTK-devel >= 2.4.0
- removed OpenGL support.

* Thu Jan 16 2003 Andrey Astafiev <andrei@altlinux.ru> 2.4.0.1-alt1
- almost all spec was rewritten.
- wxPythonGTK doesn't include wxGTK.
- wxPythonGTK is obsolete.

* Sun Nov 24 2002 Oleg Gints <go@altlinux.ru> 2.3.3.1-alt1
- new ALT spec based on spec from Robin Dunn <robin@alldunn.com>

* Tue Feb 12 2002 Andrey Astafiev <andrei@altlinux.ru> 2.2.7-alt1
- rollback to stable branch 2.2.x.
- 2.2.7.

* Mon Jan 28 2002 Stanislav Ievlev <inger@altlinux.ru> 2.3.2.1-alt1
- rebuild with new python

* Wed Jun 27 2001 AEN <aen@logic.ru> 2.3.0-alt1
- new version
- built with python-2.1

* Sun Dec 17 2000 AEN <aen@logic.ru>
- new RE spec based on spec from Robin Dunn <robin@alldunn.com>
